[{if !$oHeidelpayViewConfig}]
    [{$smarty.block.parent}]
[{else}]
    [{d3modcfgcheck modid="d3heidelpay"}][{/d3modcfgcheck}]
    [{if $mod_d3heidelpay}]
        [{if $oView->d3CheckForMobileTheme() == false}]
        [{* START AZURE *}]
        [{$smarty.block.parent}]
            [{oxscript add="
            $('#payment').find('dl dd').not('.activePayment').find('input, select, textarea').attr('disabled', 'disabled');
            $('#payment dl dt input[type=radio]').click(function(){
                $('#payment').find('dd').find('input, select, textarea').attr('disabled', 'disabled');
                $(this).parents('dl').find('input, select, textarea').removeAttr('disabled');
            });"}]
        [{* END AZURE *}]
        [{else}]
        [{* START MOBILE *}]
            [{$smarty.block.parent}]
            [{oxscript add="
            $('#payment').find('.payment-option .form').find('input, select, textarea').prop('disabled', true);
            $('#payment').find('.payment-option.active-payment .form').find('input, select, textarea').prop('disabled', false);
            $('#sPaymentSelected').on('change', function(){
                $('#payment').find('.payment-option .form').find('input, select, textarea').prop('disabled', true);
                $('#payment').find('.payment-option.active-payment .form').find('input, select, textarea').prop('disabled', false);
            });"}]
        [{* END MOBILE *}]
        [{/if}]
    [{/if}]
[{/if}]
